EDIT - task #6360

feature request # 6361 (Closed): [MASTER] Merge all TaxonName classes into 1 class

Move NonViralName functionality to TaxonNameBase
01/21/2017 11:11 AM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Mller % Done: 100%
Category: cdmlib Estimated time: 6:00 hours
Target version: Release 4.6

Severity: normal

Description

To prepare merging of NonViralName and TaxonNameBase

Associated revisions

Revision 7d8c9613 - 01/21/2017 11:28 AM - Andreas Muller

fix #6360 moved all NonViralName functionality to TaxonNameBase

Revision 6892d459 - 01/26/2017 02:26 PM - Andreas Miiller
ref #6360 and ref #6369 update cached model in taxeditor

Revision 5b88f807 - 01/30/2017 12:24 AM - Andreas Miiller

ref #6360 replace NonViralName factory methods

Revision 0d8c0513 - 01/30/2017 12:24 AM - Andreas Miuiller
ref #6365 ref #6360 ref #6364 replace taxon name factory methods

Revision df5738fe - 01/30/2017 10:52 AM - Andreas Miiller

fix #6360 use TaxonNameFactory for NonViralNames

History

#1-01/21/2017 11:28 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|7d8c96134bda3c11d053df2e8e5d03f32a500ee3.

#2 - 01/21/2017 11:50 AM - Andreas Miiller
- Status changed from Resolved to New

- % Done changed from 50 to 0

- Parent task set to #6361

#3 - 01/21/2017 11:51 AM - Andreas Miiller

- Status changed from New to Resolved

#4 - 01/21/2017 11:51 AM - Andreas Miiller
- % Done changed from 0 to 70

#5 - 01/21/2017 12:03 PM - Andreas Miuller
- Estimated time set to 6:00 h

#6 - 01/30/2017 10:52 AM - Andreas Miiller
- % Done changed from 70 to 50
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/7d8c96134bda3c11d053df2e8e5d03f32a500ee3

Applied in changeset cdmlib|df5738fefc6971d38b6cb364accd0b38af6a69d8.

#7 - 01/30/2017 01:30 PM - Andreas Miiller
- % Done changed from 50 to 90

#8 - 03/01/2017 02:21 PM - Andreas Miiller

- Status changed from Resolved to Closed

We close this. The remaining tasks will be done when really merging everything.

#9 - 06/05/2017 09:48 AM - Andreas Miiller
- % Done changed from 90 to 100
